<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for applications StructType
 * Meta information extracted from the WSDL
 * - documentation: Read only
 * @subpackage Structs
 */
class Applications extends AbstractStructBase
{
    /**
     * The application
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $application;
    /**
     * Constructor method for applications
     * @uses Applications::setApplication()
     * @param string[] $application
     */
    public function __construct(array $application = array())
    {
        $this
            ->setApplication($application);
    }
    /**
     * Get application value
     * @return string[]|null
     */
    public function getApplication()
    {
        return $this->application;
    }
    /**
     * Set application value
     * @param string[] $application
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Applications
     */
    public function setApplication(array $application = array())
    {
        $this->application = $application;
        return $this;
    }
    /**
     * Add item to application value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Applications
     */
    public function addToApplication($item)
    {
        $this->application[] = $item;
        return $this;
    }
}
